Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.antlr.parser
[Java] Interface GroovyTokenTypes

    public interface GroovyTokenTypes

Field Summary
`int` | `ABSTRACT`
`int` | `ANNOTATION`
`int` | `ANNOTATIONS`
`int` | `ANNOTATION_ARRAY_INIT`
`int` | `ANNOTATION_DEF`
`int` | `ANNOTATION_FIELD_DEF`
`int` | `ANNOTATION_MEMBER_VALUE_PAIR`
`int` | `ARRAY_DECLARATOR`
`int` | `ASSIGN`
`int` | `AT`
`int` | `BAND`
`int` | `BAND_ASSIGN`
`int` | `BIG_SUFFIX`
`int` | `BLOCK`
`int` | `BNOT`
`int` | `BOR`
`int` | `BOR_ASSIGN`
`int` | `BSR`
`int` | `BSR_ASSIGN`
`int` | `BXOR`
`int` | `BXOR_ASSIGN`
`int` | `CASE_GROUP`
`int` | `CLASS_DEF`
`int` | `CLOSABLE_BLOCK`
`int` | `CLOSABLE_BLOCK_OP`
`int` | `CLOSURE_LIST`
`int` | `COLON`
`int` | `COMMA`
`int` | `COMPARE_TO`
`int` | `CTOR_CALL`
`int` | `CTOR_IDENT`
`int` | `DEC`
`int` | `DIGIT`
`int` | `DIGITS_WITH_UNDERSCORE`
`int` | `DIGITS_WITH_UNDERSCORE_OPT`
`int` | `DIV`
`int` | `DIV_ASSIGN`
`int` | `DOLLAR`
`int` | `DOLLAR_REGEXP_CTOR_END`
`int` | `DOLLAR_REGEXP_LITERAL`
`int` | `DOLLAR_REGEXP_SYMBOL`
`int` | `DOT`
`int` | `DYNAMIC_MEMBER`
`int` | `ELIST`
`int` | `ELVIS_OPERATOR`
`int` | `EMPTY_STAT`
`int` | `ENUM_CONSTANT_DEF`
`int` | `ENUM_DEF`
`int` | `EOF`
`int` | `EQUAL`
`int` | `ESC`
`int` | `ESCAPED_DOLLAR`
`int` | `ESCAPED_SLASH`
`int` | `EXPONENT`
`int` | `EXPR`
`int` | `EXTENDS_CLAUSE`
`int` | `FINAL`
`int` | `FLOAT_SUFFIX`
`int` | `FOR_CONDITION`
`int` | `FOR_EACH_CLAUSE`
`int` | `FOR_INIT`
`int` | `FOR_IN_ITERABLE`
`int` | `FOR_ITERATOR`
`int` | `GE`
`int` | `GT`
`int` | `HEX_DIGIT`
`int` | `IDENT`
`int` | `IDENTICAL`
`int` | `IMPLEMENTS_CLAUSE`
`int` | `IMPLICIT_PARAMETERS`
`int` | `IMPORT`
`int` | `INC`
`int` | `INDEX_OP`
`int` | `INSTANCE_INIT`
`int` | `INTERFACE_DEF`
`int` | `LABELED_ARG`
`int` | `LABELED_STAT`
`int` | `LAND`
`int` | `LBRACK`
`int` | `LCURLY`
`int` | `LE`
`int` | `LETTER`
`int` | `LIST_CONSTRUCTOR`
`int` | `LITERAL_as`
`int` | `LITERAL_assert`
`int` | `LITERAL_boolean`
`int` | `LITERAL_break`
`int` | `LITERAL_byte`
`int` | `LITERAL_case`
`int` | `LITERAL_catch`
`int` | `LITERAL_char`
`int` | `LITERAL_class`
`int` | `LITERAL_continue`
`int` | `LITERAL_def`
`int` | `LITERAL_default`
`int` | `LITERAL_double`
`int` | `LITERAL_else`
`int` | `LITERAL_enum`
`int` | `LITERAL_extends`
`int` | `LITERAL_false`
`int` | `LITERAL_finally`
`int` | `LITERAL_float`
`int` | `LITERAL_for`
`int` | `LITERAL_if`
`int` | `LITERAL_implements`
`int` | `LITERAL_import`
`int` | `LITERAL_in`
`int` | `LITERAL_instanceof`
`int` | `LITERAL_int`
`int` | `LITERAL_interface`
`int` | `LITERAL_long`
`int` | `LITERAL_native`
`int` | `LITERAL_new`
`int` | `LITERAL_null`
`int` | `LITERAL_package`
`int` | `LITERAL_private`
`int` | `LITERAL_protected`
`int` | `LITERAL_public`
`int` | `LITERAL_return`
`int` | `LITERAL_short`
`int` | `LITERAL_static`
`int` | `LITERAL_super`
`int` | `LITERAL_switch`
`int` | `LITERAL_synchronized`
`int` | `LITERAL_this`
`int` | `LITERAL_threadsafe`
`int` | `LITERAL_throw`
`int` | `LITERAL_throws`
`int` | `LITERAL_transient`
`int` | `LITERAL_true`
`int` | `LITERAL_try`
`int` | `LITERAL_void`
`int` | `LITERAL_volatile`
`int` | `LITERAL_while`
`int` | `LNOT`
`int` | `LOR`
`int` | `LPAREN`
`int` | `LT`
`int` | `MAP_CONSTRUCTOR`
`int` | `MEMBER_POINTER`
`int` | `METHOD_CALL`
`int` | `METHOD_DEF`
`int` | `MINUS`
`int` | `MINUS_ASSIGN`
`int` | `ML_COMMENT`
`int` | `MOD`
`int` | `MODIFIERS`
`int` | `MOD_ASSIGN`
`int` | `MULTICATCH`
`int` | `MULTICATCH_TYPES`
`int` | `NLS`
`int` | `NOT_EQUAL`
`int` | `NOT_IDENTICAL`
`int` | `NULL_TREE_LOOKAHEAD`
`int` | `NUM_BIG_DECIMAL`
`int` | `NUM_BIG_INT`
`int` | `NUM_DOUBLE`
`int` | `NUM_FLOAT`
`int` | `NUM_INT`
`int` | `NUM_LONG`
`int` | `OBJBLOCK`
`int` | `ONE_NL`
`int` | `OPTIONAL_DOT`
`int` | `PACKAGE_DEF`
`int` | `PARAMETERS`
`int` | `PARAMETER_DEF`
`int` | `PLUS`
`int` | `PLUS_ASSIGN`
`int` | `POST_DEC`
`int` | `POST_INC`
`int` | `QUESTION`
`int` | `RANGE_EXCLUSIVE`
`int` | `RANGE_INCLUSIVE`
`int` | `RBRACK`
`int` | `RCURLY`
`int` | `REGEXP_CTOR_END`
`int` | `REGEXP_LITERAL`
`int` | `REGEXP_SYMBOL`
`int` | `REGEX_FIND`
`int` | `REGEX_MATCH`
`int` | `RPAREN`
`int` | `SELECT_SLOT`
`int` | `SEMI`
`int` | `SH_COMMENT`
`int` | `SL`
`int` | `SLIST`
`int` | `SL_ASSIGN`
`int` | `SL_COMMENT`
`int` | `SPREAD_ARG`
`int` | `SPREAD_DOT`
`int` | `SPREAD_MAP_ARG`
`int` | `SR`
`int` | `SR_ASSIGN`
`int` | `STAR`
`int` | `STAR_ASSIGN`
`int` | `STAR_STAR`
`int` | `STAR_STAR_ASSIGN`
`int` | `STATIC_IMPORT`
`int` | `STATIC_INIT`
`int` | `STRICTFP`
`int` | `STRING_CH`
`int` | `STRING_CONSTRUCTOR`
`int` | `STRING_CTOR_END`
`int` | `STRING_CTOR_MIDDLE`
`int` | `STRING_CTOR_START`
`int` | `STRING_LITERAL`
`int` | `STRING_NL`
`int` | `SUPER_CTOR_CALL`
`int` | `TRIPLE_DOT`
`int` | `TYPE`
`int` | `TYPECAST`
`int` | `TYPE_ARGUMENT`
`int` | `TYPE_ARGUMENTS`
`int` | `TYPE_LOWER_BOUNDS`
`int` | `TYPE_PARAMETER`
`int` | `TYPE_PARAMETERS`
`int` | `TYPE_UPPER_BOUNDS`
`int` | `UNARY_MINUS`
`int` | `UNARY_PLUS`
`int` | `UNUSED_CONST`
`int` | `UNUSED_DO`
`int` | `UNUSED_GOTO`
`int` | `VARIABLE_DEF`
`int` | `VARIABLE_PARAMETER_DEF`
`int` | `VOCAB`
`int` | `WILDCARD_TYPE`
`int` | `WS`

Field Detail

### ABSTRACT

    public int ABSTRACT

### ANNOTATION

    public int ANNOTATION

### ANNOTATIONS

    public int ANNOTATIONS

### ANNOTATION_ARRAY_INIT

    public int ANNOTATION_ARRAY_INIT

### ANNOTATION_DEF

    public int ANNOTATION_DEF

### ANNOTATION_FIELD_DEF

    public int ANNOTATION_FIELD_DEF

### ANNOTATION_MEMBER_VALUE_PAIR

    public int ANNOTATION_MEMBER_VALUE_PAIR

### ARRAY_DECLARATOR

    public int ARRAY_DECLARATOR

### ASSIGN

    public int ASSIGN

### AT

    public int AT

### BAND

    public int BAND

### BAND_ASSIGN

    public int BAND_ASSIGN

### BIG_SUFFIX

    public int BIG_SUFFIX

### BLOCK

    public int BLOCK

### BNOT

    public int BNOT

### BOR

    public int BOR

### BOR_ASSIGN

    public int BOR_ASSIGN

### BSR

    public int BSR

### BSR_ASSIGN

    public int BSR_ASSIGN

### BXOR

    public int BXOR

### BXOR_ASSIGN

    public int BXOR_ASSIGN

### CASE_GROUP

    public int CASE_GROUP

### CLASS_DEF

    public int CLASS_DEF

### CLOSABLE_BLOCK

    public int CLOSABLE_BLOCK

### CLOSABLE_BLOCK_OP

    public int CLOSABLE_BLOCK_OP

### CLOSURE_LIST

    public int CLOSURE_LIST

### COLON

    public int COLON

### COMMA

    public int COMMA

### COMPARE_TO

    public int COMPARE_TO

### CTOR_CALL

    public int CTOR_CALL

### CTOR_IDENT

    public int CTOR_IDENT

### DEC

    public int DEC

### DIGIT

    public int DIGIT

### DIGITS_WITH_UNDERSCORE

    public int DIGITS_WITH_UNDERSCORE

### DIGITS_WITH_UNDERSCORE_OPT

    public int DIGITS_WITH_UNDERSCORE_OPT

### DIV

    public int DIV

### DIV_ASSIGN

    public int DIV_ASSIGN

### DOLLAR

    public int DOLLAR

### DOLLAR_REGEXP_CTOR_END

    public int DOLLAR_REGEXP_CTOR_END

### DOLLAR_REGEXP_LITERAL

    public int DOLLAR_REGEXP_LITERAL

### DOLLAR_REGEXP_SYMBOL

    public int DOLLAR_REGEXP_SYMBOL

### DOT

    public int DOT

### DYNAMIC_MEMBER

    public int DYNAMIC_MEMBER

### ELIST

    public int ELIST

### ELVIS_OPERATOR

    public int ELVIS_OPERATOR

### EMPTY_STAT

    public int EMPTY_STAT

### ENUM_CONSTANT_DEF

    public int ENUM_CONSTANT_DEF

### ENUM_DEF

    public int ENUM_DEF

### EOF

    public int EOF

### EQUAL

    public int EQUAL

### ESC

    public int ESC

### ESCAPED_DOLLAR

    public int ESCAPED_DOLLAR

### ESCAPED_SLASH

    public int ESCAPED_SLASH

### EXPONENT

    public int EXPONENT

### EXPR

    public int EXPR

### EXTENDS_CLAUSE

    public int EXTENDS_CLAUSE

### FINAL

    public int FINAL

### FLOAT_SUFFIX

    public int FLOAT_SUFFIX

### FOR_CONDITION

    public int FOR_CONDITION

### FOR_EACH_CLAUSE

    public int FOR_EACH_CLAUSE

### FOR_INIT

    public int FOR_INIT

### FOR_IN_ITERABLE

    public int FOR_IN_ITERABLE

### FOR_ITERATOR

    public int FOR_ITERATOR

### GE

    public int GE

### GT

    public int GT

### HEX_DIGIT

    public int HEX_DIGIT

### IDENT

    public int IDENT

### IDENTICAL

    public int IDENTICAL

### IMPLEMENTS_CLAUSE

    public int IMPLEMENTS_CLAUSE

### IMPLICIT_PARAMETERS

    public int IMPLICIT_PARAMETERS

### IMPORT

    public int IMPORT

### INC

    public int INC

### INDEX_OP

    public int INDEX_OP

### INSTANCE_INIT

    public int INSTANCE_INIT

### INTERFACE_DEF

    public int INTERFACE_DEF

### LABELED_ARG

    public int LABELED_ARG

### LABELED_STAT

    public int LABELED_STAT

### LAND

    public int LAND

### LBRACK

    public int LBRACK

### LCURLY

    public int LCURLY

### LE

    public int LE

### LETTER

    public int LETTER

### LIST_CONSTRUCTOR

    public int LIST_CONSTRUCTOR

### LITERAL_as

    public int LITERAL_as

### LITERAL_assert

    public int LITERAL_assert

### LITERAL_boolean

    public int LITERAL_boolean

### LITERAL_break

    public int LITERAL_break

### LITERAL_byte

    public int LITERAL_byte

### LITERAL_case

    public int LITERAL_case

### LITERAL_catch

    public int LITERAL_catch

### LITERAL_char

    public int LITERAL_char

### LITERAL_class

    public int LITERAL_class

### LITERAL_continue

    public int LITERAL_continue

### LITERAL_def

    public int LITERAL_def

### LITERAL_default

    public int LITERAL_default

### LITERAL_double

    public int LITERAL_double

### LITERAL_else

    public int LITERAL_else

### LITERAL_enum

    public int LITERAL_enum

### LITERAL_extends

    public int LITERAL_extends

### LITERAL_false

    public int LITERAL_false

### LITERAL_finally

    public int LITERAL_finally

### LITERAL_float

    public int LITERAL_float

### LITERAL_for

    public int LITERAL_for

### LITERAL_if

    public int LITERAL_if

### LITERAL_implements

    public int LITERAL_implements

### LITERAL_import

    public int LITERAL_import

### LITERAL_in

    public int LITERAL_in

### LITERAL_instanceof

    public int LITERAL_instanceof

### LITERAL_int

    public int LITERAL_int

### LITERAL_interface

    public int LITERAL_interface

### LITERAL_long

    public int LITERAL_long

### LITERAL_native

    public int LITERAL_native

### LITERAL_new

    public int LITERAL_new

### LITERAL_null

    public int LITERAL_null

### LITERAL_package

    public int LITERAL_package

### LITERAL_private

    public int LITERAL_private

### LITERAL_protected

    public int LITERAL_protected

### LITERAL_public

    public int LITERAL_public

### LITERAL_return

    public int LITERAL_return

### LITERAL_short

    public int LITERAL_short

### LITERAL_static

    public int LITERAL_static

### LITERAL_super

    public int LITERAL_super

### LITERAL_switch

    public int LITERAL_switch

### LITERAL_synchronized

    public int LITERAL_synchronized

### LITERAL_this

    public int LITERAL_this

### LITERAL_threadsafe

    public int LITERAL_threadsafe

### LITERAL_throw

    public int LITERAL_throw

### LITERAL_throws

    public int LITERAL_throws

### LITERAL_transient

    public int LITERAL_transient

### LITERAL_true

    public int LITERAL_true

### LITERAL_try

    public int LITERAL_try

### LITERAL_void

    public int LITERAL_void

### LITERAL_volatile

    public int LITERAL_volatile

### LITERAL_while

    public int LITERAL_while

### LNOT

    public int LNOT

### LOR

    public int LOR

### LPAREN

    public int LPAREN

### LT

    public int LT

### MAP_CONSTRUCTOR

    public int MAP_CONSTRUCTOR

### MEMBER_POINTER

    public int MEMBER_POINTER

### METHOD_CALL

    public int METHOD_CALL

### METHOD_DEF

    public int METHOD_DEF

### MINUS

    public int MINUS

### MINUS_ASSIGN

    public int MINUS_ASSIGN

### ML_COMMENT

    public int ML_COMMENT

### MOD

    public int MOD

### MODIFIERS

    public int MODIFIERS

### MOD_ASSIGN

    public int MOD_ASSIGN

### MULTICATCH

    public int MULTICATCH

### MULTICATCH_TYPES

    public int MULTICATCH_TYPES

### NLS

    public int NLS

### NOT_EQUAL

    public int NOT_EQUAL

### NOT_IDENTICAL

    public int NOT_IDENTICAL

### NULL_TREE_LOOKAHEAD

    public int NULL_TREE_LOOKAHEAD

### NUM_BIG_DECIMAL

    public int NUM_BIG_DECIMAL

### NUM_BIG_INT

    public int NUM_BIG_INT

### NUM_DOUBLE

    public int NUM_DOUBLE

### NUM_FLOAT

    public int NUM_FLOAT

### NUM_INT

    public int NUM_INT

### NUM_LONG

    public int NUM_LONG

### OBJBLOCK

    public int OBJBLOCK

### ONE_NL

    public int ONE_NL

### OPTIONAL_DOT

    public int OPTIONAL_DOT

### PACKAGE_DEF

    public int PACKAGE_DEF

### PARAMETERS

    public int PARAMETERS

### PARAMETER_DEF

    public int PARAMETER_DEF

### PLUS

    public int PLUS

### PLUS_ASSIGN

    public int PLUS_ASSIGN

### POST_DEC

    public int POST_DEC

### POST_INC

    public int POST_INC

### QUESTION

    public int QUESTION

### RANGE_EXCLUSIVE

    public int RANGE_EXCLUSIVE

### RANGE_INCLUSIVE

    public int RANGE_INCLUSIVE

### RBRACK

    public int RBRACK

### RCURLY

    public int RCURLY

### REGEXP_CTOR_END

    public int REGEXP_CTOR_END

### REGEXP_LITERAL

    public int REGEXP_LITERAL

### REGEXP_SYMBOL

    public int REGEXP_SYMBOL

### REGEX_FIND

    public int REGEX_FIND

### REGEX_MATCH

    public int REGEX_MATCH

### RPAREN

    public int RPAREN

### SELECT_SLOT

    public int SELECT_SLOT

### SEMI

    public int SEMI

### SH_COMMENT

    public int SH_COMMENT

### SL

    public int SL

### SLIST

    public int SLIST

### SL_ASSIGN

    public int SL_ASSIGN

### SL_COMMENT

    public int SL_COMMENT

### SPREAD_ARG

    public int SPREAD_ARG

### SPREAD_DOT

    public int SPREAD_DOT

### SPREAD_MAP_ARG

    public int SPREAD_MAP_ARG

### SR

    public int SR

### SR_ASSIGN

    public int SR_ASSIGN

### STAR

    public int STAR

### STAR_ASSIGN

    public int STAR_ASSIGN

### STAR_STAR

    public int STAR_STAR

### STAR_STAR_ASSIGN

    public int STAR_STAR_ASSIGN

### STATIC_IMPORT

    public int STATIC_IMPORT

### STATIC_INIT

    public int STATIC_INIT

### STRICTFP

    public int STRICTFP

### STRING_CH

    public int STRING_CH

### STRING_CONSTRUCTOR

    public int STRING_CONSTRUCTOR

### STRING_CTOR_END

    public int STRING_CTOR_END

### STRING_CTOR_MIDDLE

    public int STRING_CTOR_MIDDLE

### STRING_CTOR_START

    public int STRING_CTOR_START

### STRING_LITERAL

    public int STRING_LITERAL

### STRING_NL

    public int STRING_NL

### SUPER_CTOR_CALL

    public int SUPER_CTOR_CALL

### TRIPLE_DOT

    public int TRIPLE_DOT

### TYPE

    public int TYPE

### TYPECAST

    public int TYPECAST

### TYPE_ARGUMENT

    public int TYPE_ARGUMENT

### TYPE_ARGUMENTS

    public int TYPE_ARGUMENTS

### TYPE_LOWER_BOUNDS

    public int TYPE_LOWER_BOUNDS

### TYPE_PARAMETER

    public int TYPE_PARAMETER

### TYPE_PARAMETERS

    public int TYPE_PARAMETERS

### TYPE_UPPER_BOUNDS

    public int TYPE_UPPER_BOUNDS

### UNARY_MINUS

    public int UNARY_MINUS

### UNARY_PLUS

    public int UNARY_PLUS

### UNUSED_CONST

    public int UNUSED_CONST

### UNUSED_DO

    public int UNUSED_DO

### UNUSED_GOTO

    public int UNUSED_GOTO

### VARIABLE_DEF

    public int VARIABLE_DEF

### VARIABLE_PARAMETER_DEF

    public int VARIABLE_PARAMETER_DEF

### VOCAB

    public int VOCAB

### WILDCARD_TYPE

    public int WILDCARD_TYPE

### WS

    public int WS

Groovy Documentation